package ru.yandex.wmtools.common.data.info;

import java.util.Collection;
import java.util.Collections;

/**
 * @author baton
 */
public class HostRegionsInfo {
    private final Collection<HostRegionInfo> regions;

    public HostRegionsInfo(final Collection<HostRegionInfo> regions) {
        this.regions = (regions == null) ? null : Collections.unmodifiableCollection(regions);
    }

    public Collection<HostRegionInfo> getRegions() {
        return regions;
    }
}
